Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface DomainObjectSet

    org.gradle.api.DomainObjectCollection
      java.lang.Iterable
          java.util.Collection
              org.gradle.api.DomainObjectSet

All Superinterfaces:
  DomainObjectCollection, java.lang.Iterable, java.util.Collection

    public interface DomainObjectSet
    extends DomainObjectCollection, java.util.Set

A `DomainObjectSet` is a specialisation of DomainObjectCollection that guarantees java.util.Set semantics.

Parameters:
  `` - The type of domain objects in this set.

Method Summary
`java.util.Set` | `findAll(groovy.lang.Closure spec)` {@inheritDoc}
`DomainObjectSet` | `matching(Spec spec)` {@inheritDoc}
`DomainObjectSet` | `matching(groovy.lang.Closure spec)` {@inheritDoc}
`DomainObjectSet` | `withType(java.lang.Class type)` {@inheritDoc}

Methods inherited from interface DomainObjectCollection
all, all, allObjects, allObjects, findAll, findAll, getAll, matching, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType, withType

Methods inherited from interface java.util.Set
java.util.Set#add(java.lang.Object), java.util.Set#equals(java.lang.Object), java.util.Set#hashCode(), java.util.Set#clear(), java.util.Set#size(), java.util.Set#isEmpty(), java.util.Set#contains(java.lang.Object), java.util.Set#addAll(java.util.Collection), java.util.Set#toArray(), java.util.Set#toArray([Ljava.lang.Object;), java.util.Set#iterator(), java.util.Set#remove(java.lang.Object), java.util.Set#removeAll(java.util.Collection), java.util.Set#containsAll(java.util.Collection), java.util.Set#retainAll(java.util.Collection)

Method Detail

### findAll

    public java.util.Set findAll(groovy.lang.Closure spec)

  {@inheritDoc}

### matching

    public DomainObjectSet matching(Spec spec)

  {@inheritDoc}

### matching

    public DomainObjectSet matching(groovy.lang.Closure spec)

  {@inheritDoc}

### withType

    public DomainObjectSet withType(java.lang.Class type)

  {@inheritDoc}

Groovy Documentation